"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.PathAlreadyExistError = exports.InvalidHandler = exports.InvalidController = exports.NotImplementedControllerError = exports.NotImplementedHandler = void 0;
var http_errors_1 = __importDefault(require("http-errors"));
exports.NotImplementedHandler = (0, http_errors_1["default"])(501, 'Handler not implemented', { expose: false });
exports.NotImplementedControllerError = (0, http_errors_1["default"])(501, 'Controller not implemented', { expose: false });
exports.InvalidController = (0, http_errors_1["default"])(500, 'Invalid controller', { expose: false });
exports.InvalidHandler = (0, http_errors_1["default"])(500, 'Invalid controller handler', { expose: false });
exports.PathAlreadyExistError = (0, http_errors_1["default"])(500, 'Path already exist in router', { expose: false });
